# file: $isip/class/dstr/DiGraph/GNUmakefile
# version: $Id: GNUmakefile 9057 2003-03-28 19:21:35Z alphonso $
#
# this make file builds the DiGraph class
# 

# define the source files
#
ISIP_FILES = 

# define the header files that need to be installed
#
ISIP_HEADER_FILES = DiGraph.h 

# define other dependencies (headers are included automatically)
#
ISIP_DEPS = GraphArc.h GraphVertex.h ColorHash.h DiGraphDiagnose.h \
	    DoubleLinkedList.h Boolean.h BiGraph.h BiGraphVertex.h

# define the compilation flags
# 
ISIP_CFLAGS = 

# define the diagnose class (we put diagnose method outside the header
# file in GraphDiagnose.h)
#
DIAG_CLASS = DiGraphDiagnose
DIAG_HEADER = $(ISIP_DEVEL)/class/dstr/DiGraph/DiGraphDiagnose.h

# define the diagnose mode for generic template classes
#
ISIP_DIAGNOSE_MODE = template-diagnose

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile.make

#
# end of file
